package com.realnet.basicp1.Services;
import java.util.*;
import com.realnet.basicp1.Repository.FormcRepository;
import com.realnet.basicp1.Entity.Formc;

import com.realnet.basicp1.Entity.Formc_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Formc_ListFilter1Service {
@Autowired
private FormcRepository Repository;




 public   List<Formc_ListFilter1>   getlistbuilder() {
	List<Formc> list= Repository.findAll();
		ArrayList<Formc_ListFilter1> l = new ArrayList<>();
		for (Formc data : list) {
{	
Formc_ListFilter1 dummy = new Formc_ListFilter1();
			dummy.setId(data.getId());
  dummy.setNumbers(data.getNumbers());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Formc_ListFilter1>   getlistbuilderparam( ) {
	List<Formc> list= Repository.findAll();
		ArrayList<Formc_ListFilter1> l = new ArrayList<>();
		for (Formc data : list) {
{	
Formc_ListFilter1 dummy = new Formc_ListFilter1();
			dummy.setId(data.getId());
  dummy.setNumbers(data.getNumbers());
	l.add(dummy);
} 
} 		
return l;}
}